Subject: Re: [bug#66430] [PATCH v3] doc: Mention the responsibilities that blocking comes with.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 31 Oct 2023 09:30:41 -0400

Hi Simon,

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On sam., 14 oct. 2023 at 09:06, Maxim Cournoyer <[email-masked]> wrote:
>> * doc/contributing.texi (Commit Access): Mention that blocking comes with
>> extra responsibilities.
>
> [...]
>
>>  doc/contributing.texi | 13 ++++++++++++-
>>  1 file changed, 12 insertions(+), 1 deletion(-)
>
> [...]
>
>> +@url{https://www.seedsforchange.org.uk/consensus}.  It is expected from
>> +all contributors, and even more so from committers, to help build
>> +consensus and make decisions based on consensus.  By using consensus, we
>> +are committed to finding solutions that everyone can live with.  It
>> +implies that no decision is made against significant concerns and these
>> +concerns are actively resolved with proposals that work for everyone.  A
>> +contributor (which may or may not have commit access) wishing to block a
>> +proposal bears a special responsibility for finding alternatives,
>> +proposing ideas/code or explain the rationale for the status quo to
>> +resolve the deadlock.  To learn what consensus decision making means and
>> +understand its finer details, you are encouraged to read
>> +<https://www.seedsforchange.org.uk/consensus>.
>
> I will push this change soon if there is no more comment.

We haven't gotten much comments, but I think it's been out there long
enough that if someone had a problem with it, they would have spoken, so
no objections from myself.

-- 
Thanks,
Maxim